Package org.kie.api.pmml

# Class PMML4Result

java.lang.Object
org.kie.api.pmml.PMML4Result

public class PMML4Result extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PMML4Result()`
  `PMML4Result(String correlationId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addResultVariable(String objName, Object object)`
  `boolean`
  `equals(Object obj)`
  `String`
  `getCorrelationId()`
  `String`
  `getResultCode()`
  `String`
  `getResultObjectName()`
  `<T> Optional<T>`
  `getResultValue(String objName, String objField, Class<T> clazz, Object... params)`
  `Object`
  `getResultValue(String objName, String objField, Object... params)`
  `Map<String,Object>`
  `getResultVariables()`
  `String`
  `getSegmentationId()`
  `String`
  `getSegmentId()`
  `int`
  `getSegmentIndex()`
  `int`
  `hashCode()`
  `void`
  `setCorrelationId(String correlationId)`
  `void`
  `setResultCode(String resultCode)`
  `void`
  `setResultObjectName(String resultObjectName)`
  `void`
  `setResultVariables(Map<String,Object> resultVariables)`
  `void`
  `setSegmentationId(String segmentationId)`
  `void`
  `setSegmentId(String segmentId)`
  `void`
  `setSegmentIndex(int segmentIndex)`
  `String`
  `toString()`
  `void`
  `updateResultVariable(String objName, Object obj)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PMML4Result

    public PMML4Result()

  - ### PMML4Result

    public PMML4Result(String correlationId)

- ## Method Details

  - ### getResultCode

    public String getResultCode()

  - ### setResultCode

    public void setResultCode(String resultCode)

  - ### getSegmentationId

    public String getSegmentationId()

  - ### setSegmentationId

    public void setSegmentationId(String segmentationId)

  - ### getSegmentId

    public String getSegmentId()

  - ### setSegmentId

    public void setSegmentId(String segmentId)

  - ### getSegmentIndex

    public int getSegmentIndex()

  - ### setSegmentIndex

    public void setSegmentIndex(int segmentIndex)

  - ### getResultObjectName

    public String getResultObjectName()

  - ### setResultObjectName

    public void setResultObjectName(String resultObjectName)

  - ### getResultVariables

    public Map<String,Object> getResultVariables()

  - ### updateResultVariable

    public void updateResultVariable(String objName, Object obj)

  - ### setResultVariables

    public void setResultVariables(Map<String,Object> resultVariables)

  - ### addResultVariable

    public void addResultVariable(String objName, Object object)

  - ### getResultValue

    public <T> Optional<T> getResultValue(String objName, String objField, Class<T> clazz, Object... params)

  - ### getResultValue

    public Object getResultValue(String objName, String objField, Object... params)

  - ### getCorrelationId

    public String getCorrelationId()

  - ### setCorrelationId

    public void setCorrelationId(String correlationId)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`